> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/driver.md).

# Driver

Known as Player in other API v3 sports

**Related endpoints**

{% content-ref url="/pages/0G3JeqvgAUgvkbaLBunT" %}
[Drivers](/v3/motorsport-api/endpoints-and-entities/endpoints/drivers.md)
{% endcontent-ref %}

**Field description**

| Field                  | Description                                                                          | Type    |
| ---------------------- | ------------------------------------------------------------------------------------ | ------- |
| `id`                   | Refers to the unique id of the driver (referred to as `player_id` in API responses)  | integer |
| `sport_id`             | Refers to the sport                                                                  | integer |
| `country_id`           | Refers to the country of birth of the driver                                         | integer |
| `nationality_id`       | Refers to the nationality that the driver has opted to represent                     | integer |
| `city_id`              | Refers to the city of birth of the driver                                            | integer |
| `position_id`          | Refers to the position of the driver within the team (first, second, or test driver) | integer |
| `detailed_position_id` | Not used in the Motorsport API                                                       | integer |
| `type_id`              | Not used in the Motorsport API                                                       | integer |
| `common_name`          | Refers to the name the player is known for                                           | string  |
| `firstname`            | Refers to the first name of the driver                                               | string  |
| `lastname`             | Refers to the last name of the driver                                                | string  |
| `name`                 | Refers to the name of the driver                                                     | string  |
| `display_name`         | Refers to the name that is often used to display in applications                     | string  |
| `image_path`           | Image path to the driver headshot                                                    | string  |
| `height`               | Refers to the height of the driver                                                   | integer |
| `weight`               | Refers to the weight of the driver                                                   | integer |
| `date_of_birth`        | Refers to the date of birth of the driver                                            | string  |
| `gender`               | Refers to the gender of the driver                                                   | string  |

**Include options**

`sport` `country` `city` `nationality` `teams` `latest` `position` `lineups` `metadata` `seasonDetails` `seasonTeams`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/driver.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
